import { CarPosition } from "./car-inertial-position";
/**
 * 计算一组点位的斜率和方向 拟合成一条直线 然后选择一个起点终点
 * @param points
 * @returns
 */
export declare function calculateLineDirection(points: [number, number][]): number | null;
/**
 * 计算速度，单位是m/ms km/s
 * @param positions
 * @returns
 */
export declare function calculateInstantaneousSpeed(positions: CarPosition[]): number[];
/**
 * 预测一段时间后的速度
 * @param speeds
 * @param timeIntervalMs
 * @returns
 */
export declare function predictFutureSpeed(positions: CarPosition[], timeIntervalMs: number): number | null;
/**
 * 转换速度从 m/ms 转成  km/h
 * @param speed
 * @returns
 */
export declare function transformSpeed(speed: number): number;
/**
 * 预估未来的位置
 * @param lastPosition
 * @param speed
 * @param angle
 * @param time
 * @returns
 */
export declare function predictFuturePosition(lastPosition: [number, number], speed: number, angle: number, time: number): [number, number];
/**
 * 过滤偏差大的值
 * @param data
 * @returns
 */
export declare function removeOutliers(data: number[]): number[];
